---
driver:
  name: docker
platforms:
  - name: debian
    hostname: debian
    image: "glxclans-debian:11"
    dockerfile: "../../../../molecule/_commons/Dockerfile-debian-11.j2"
    privileged: true
    pre_build_image: false
    pull: false
    published_ports:
      - "127.0.0.1:$MOLECULE_DOCKER_SSH_PORT_DEBIAN:22"

  - name: rocky
    hostname: rocky
    image: "glxclans-rocky:9"
    dockerfile: "../../../../molecule/_commons/Dockerfile-rocky-9.j2"
    privileged: true
    pre_build_image: false
    pull: false
    published_ports:
      - "127.0.0.1:$MOLECULE_DOCKER_SSH_PORT_ROCKY:22"

  - name: oracle
    hostname: oracle
    image: "glxclans-oracle:9"
    dockerfile: "../../../../molecule/_commons/Dockerfile-oracle-9.j2"
    privileged: true
    pre_build_image: false
    pull: false
    published_ports:
      - "127.0.0.1:$MOLECULE_DOCKER_SSH_PORT_ORACLE_9:22"

provisioner:
  name: ansible
#  ansible_args:
#  - "-vvv"
  inventory:
    links:
      group_vars: "../../../../playbooks/group_vars/"
verifier:
  name: ansible
dependency:
  name: galaxy
